<template>
  <div class="dibs--input--radios">
    <template
      v-for="(option, optionId) in options"
      :key="`${id}-${optionId}-label`"
    >
      <label class="dibs--input--wrapper dibs--input--wrapper--radio">
        <input
          v-model="currentValue"
          type="radio"
          :name="id"
          :value="option.value"
        />
        <span class="dibs--input--checkmark"></span>
        <span>{{ option.label }}</span>
      </label>
    </template>
  </div>
</template>
<script>
export default {
  props: {
    id: {
      type: [String],
      required: true,
    },
    default: {
      type: [String],
      default: null,
    },
    options: {
      type: [Array],
      required: true,
    },
  },
  emits: {
    "update:modelValue": null,
  },
  data() {
    return {
      currentValue: this.default,
    };
  },
  watch: {
    currentValue(value) {
      this.$emit("update:modelValue", value);
    },
  },
};
</script>
<style>
.dibs--input--radios {
  display: flex;
  flex-direction: row;
  gap: 1em 3em;
  flex-wrap: wrap;
  padding: 0.75em 0;
}

/* Create a custom radio button */
.dibs--input--wrapper--radio .dibs--input--checkmark {
  border-radius: 50%;
}

/* Style the indicator (dot/circle) */
.dibs--input--wrapper--radio .dibs--input--checkmark:after {
  width: 0.5em;
  height: 0.5em;
  border-radius: 50%;
  background: var(--dibs-colors--accent);
}
</style>
